freebsd 8.2 で ports の vim が入らない


2011/04/19時点の話です。

/usr/ports/editor/vim で make install すると gobject-introspection-0.9.12 のインストールがコケる。
結論を言うと、python のバージョンが 2.6 で無いとインストールできないようだ。
セットアップスクリプトを使ってインストールしているので、コマンド入力ミスはありえない。
8.2 のいつからか、 python 2.7 が標準でインストールされるようだ。
以下、対応方法。

cd /usr/ports/lang/python2.6
make install
cd /usr/local/bin/
cp python2.6 python
cd /usr/ports/devel/gobject-introspection/
make install

これでインストールできます。

Pythonの手引き、オライリーの本はこちらへ。
[rakuten]001:9784873111773[/rakuten]

コメントを残す

メールアドレスが公開されることはありません。